IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network2.128.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
- Network address
2.128.0.0- Broadcast address
2.135.255.255- First usable
2.128.0.1- Last usable
2.135.255.254- Usable hosts
- 524,286 (524,288 less the network and broadcast addresses)
- Subnet mask
255.248.0.0- Wildcard mask
0.7.255.255(Cisco ACLs, OSPF)- Prefix length
- /13
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
02800000· Integer41943040to42467327 - Reverse DNS zones
128.2.in-addr.arpa129.2.in-addr.arpa130.2.in-addr.arpa131.2.in-addr.arpa132.2.in-addr.arpa133.2.in-addr.arpa134.2.in-addr.arpa135.2.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00000010.10000000.00000000.00000000 | 2.128.0.0 |
| Subnet mask | 11111111.11111000.00000000.00000000 | 255.248.0.0 |
| Network | 00000010.10000000.00000000.00000000 | 2.128.0.0 |
| Broadcast | 00000010.10000111.11111111.11111111 | 2.135.255.255 |
Split into smaller subnets
/14 (2)/15 (4)/16 (8)/17 (16)/18 (32)/19 (64)/20 (128)/21 (256)/22 (512)/23 (1,024)/24 (2,048)/25 (4,096)
2.128.0.0/13 makes 512 subnets of /22; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 2.128.0.0/22 | 2.128.0.1 to 2.128.3.254 | 2.128.3.255 | 1,022 |
| 2 | 2.128.4.0/22 | 2.128.4.1 to 2.128.7.254 | 2.128.7.255 | 1,022 |
| 3 | 2.128.8.0/22 | 2.128.8.1 to 2.128.11.254 | 2.128.11.255 | 1,022 |
| 4 | 2.128.12.0/22 | 2.128.12.1 to 2.128.15.254 | 2.128.15.255 | 1,022 |
| 5 | 2.128.16.0/22 | 2.128.16.1 to 2.128.19.254 | 2.128.19.255 | 1,022 |
| 6 | 2.128.20.0/22 | 2.128.20.1 to 2.128.23.254 | 2.128.23.255 | 1,022 |
| 7 | 2.128.24.0/22 | 2.128.24.1 to 2.128.27.254 | 2.128.27.255 | 1,022 |
| 8 | 2.128.28.0/22 | 2.128.28.1 to 2.128.31.254 | 2.128.31.255 | 1,022 |
| 9 | 2.128.32.0/22 | 2.128.32.1 to 2.128.35.254 | 2.128.35.255 | 1,022 |
| 10 | 2.128.36.0/22 | 2.128.36.1 to 2.128.39.254 | 2.128.39.255 | 1,022 |
| 11 | 2.128.40.0/22 | 2.128.40.1 to 2.128.43.254 | 2.128.43.255 | 1,022 |
| 12 | 2.128.44.0/22 | 2.128.44.1 to 2.128.47.254 | 2.128.47.255 | 1,022 |
| 13 | 2.128.48.0/22 | 2.128.48.1 to 2.128.51.254 | 2.128.51.255 | 1,022 |
| 14 | 2.128.52.0/22 | 2.128.52.1 to 2.128.55.254 | 2.128.55.255 | 1,022 |
| 15 | 2.128.56.0/22 | 2.128.56.1 to 2.128.59.254 | 2.128.59.255 | 1,022 |
| 16 | 2.128.60.0/22 | 2.128.60.1 to 2.128.63.254 | 2.128.63.255 | 1,022 |
| 17 | 2.128.64.0/22 | 2.128.64.1 to 2.128.67.254 | 2.128.67.255 | 1,022 |
| 18 | 2.128.68.0/22 | 2.128.68.1 to 2.128.71.254 | 2.128.71.255 | 1,022 |
| 19 | 2.128.72.0/22 | 2.128.72.1 to 2.128.75.254 | 2.128.75.255 | 1,022 |
| 20 | 2.128.76.0/22 | 2.128.76.1 to 2.128.79.254 | 2.128.79.255 | 1,022 |
| 21 | 2.128.80.0/22 | 2.128.80.1 to 2.128.83.254 | 2.128.83.255 | 1,022 |
| 22 | 2.128.84.0/22 | 2.128.84.1 to 2.128.87.254 | 2.128.87.255 | 1,022 |
| 23 | 2.128.88.0/22 | 2.128.88.1 to 2.128.91.254 | 2.128.91.255 | 1,022 |
| 24 | 2.128.92.0/22 | 2.128.92.1 to 2.128.95.254 | 2.128.95.255 | 1,022 |
| 25 | 2.128.96.0/22 | 2.128.96.1 to 2.128.99.254 | 2.128.99.255 | 1,022 |
| 26 | 2.128.100.0/22 | 2.128.100.1 to 2.128.103.254 | 2.128.103.255 | 1,022 |
| 27 | 2.128.104.0/22 | 2.128.104.1 to 2.128.107.254 | 2.128.107.255 | 1,022 |
| 28 | 2.128.108.0/22 | 2.128.108.1 to 2.128.111.254 | 2.128.111.255 | 1,022 |
| 29 | 2.128.112.0/22 | 2.128.112.1 to 2.128.115.254 | 2.128.115.255 | 1,022 |
| 30 | 2.128.116.0/22 | 2.128.116.1 to 2.128.119.254 | 2.128.119.255 | 1,022 |
| 31 | 2.128.120.0/22 | 2.128.120.1 to 2.128.123.254 | 2.128.123.255 | 1,022 |
| 32 | 2.128.124.0/22 | 2.128.124.1 to 2.128.127.254 | 2.128.127.255 | 1,022 |
| 33 | 2.128.128.0/22 | 2.128.128.1 to 2.128.131.254 | 2.128.131.255 | 1,022 |
| 34 | 2.128.132.0/22 | 2.128.132.1 to 2.128.135.254 | 2.128.135.255 | 1,022 |
| 35 | 2.128.136.0/22 | 2.128.136.1 to 2.128.139.254 | 2.128.139.255 | 1,022 |
| 36 | 2.128.140.0/22 | 2.128.140.1 to 2.128.143.254 | 2.128.143.255 | 1,022 |
| 37 | 2.128.144.0/22 | 2.128.144.1 to 2.128.147.254 | 2.128.147.255 | 1,022 |
| 38 | 2.128.148.0/22 | 2.128.148.1 to 2.128.151.254 | 2.128.151.255 | 1,022 |
| 39 | 2.128.152.0/22 | 2.128.152.1 to 2.128.155.254 | 2.128.155.255 | 1,022 |
| 40 | 2.128.156.0/22 | 2.128.156.1 to 2.128.159.254 | 2.128.159.255 | 1,022 |
| 41 | 2.128.160.0/22 | 2.128.160.1 to 2.128.163.254 | 2.128.163.255 | 1,022 |
| 42 | 2.128.164.0/22 | 2.128.164.1 to 2.128.167.254 | 2.128.167.255 | 1,022 |
| 43 | 2.128.168.0/22 | 2.128.168.1 to 2.128.171.254 | 2.128.171.255 | 1,022 |
| 44 | 2.128.172.0/22 | 2.128.172.1 to 2.128.175.254 | 2.128.175.255 | 1,022 |
| 45 | 2.128.176.0/22 | 2.128.176.1 to 2.128.179.254 | 2.128.179.255 | 1,022 |
| 46 | 2.128.180.0/22 | 2.128.180.1 to 2.128.183.254 | 2.128.183.255 | 1,022 |
| 47 | 2.128.184.0/22 | 2.128.184.1 to 2.128.187.254 | 2.128.187.255 | 1,022 |
| 48 | 2.128.188.0/22 | 2.128.188.1 to 2.128.191.254 | 2.128.191.255 | 1,022 |
| 49 | 2.128.192.0/22 | 2.128.192.1 to 2.128.195.254 | 2.128.195.255 | 1,022 |
| 50 | 2.128.196.0/22 | 2.128.196.1 to 2.128.199.254 | 2.128.199.255 | 1,022 |
| 51 | 2.128.200.0/22 | 2.128.200.1 to 2.128.203.254 | 2.128.203.255 | 1,022 |
| 52 | 2.128.204.0/22 | 2.128.204.1 to 2.128.207.254 | 2.128.207.255 | 1,022 |
| 53 | 2.128.208.0/22 | 2.128.208.1 to 2.128.211.254 | 2.128.211.255 | 1,022 |
| 54 | 2.128.212.0/22 | 2.128.212.1 to 2.128.215.254 | 2.128.215.255 | 1,022 |
| 55 | 2.128.216.0/22 | 2.128.216.1 to 2.128.219.254 | 2.128.219.255 | 1,022 |
| 56 | 2.128.220.0/22 | 2.128.220.1 to 2.128.223.254 | 2.128.223.255 | 1,022 |
| 57 | 2.128.224.0/22 | 2.128.224.1 to 2.128.227.254 | 2.128.227.255 | 1,022 |
| 58 | 2.128.228.0/22 | 2.128.228.1 to 2.128.231.254 | 2.128.231.255 | 1,022 |
| 59 | 2.128.232.0/22 | 2.128.232.1 to 2.128.235.254 | 2.128.235.255 | 1,022 |
| 60 | 2.128.236.0/22 | 2.128.236.1 to 2.128.239.254 | 2.128.239.255 | 1,022 |
| 61 | 2.128.240.0/22 | 2.128.240.1 to 2.128.243.254 | 2.128.243.255 | 1,022 |
| 62 | 2.128.244.0/22 | 2.128.244.1 to 2.128.247.254 | 2.128.247.255 | 1,022 |
| 63 | 2.128.248.0/22 | 2.128.248.1 to 2.128.251.254 | 2.128.251.255 | 1,022 |
| 64 | 2.128.252.0/22 | 2.128.252.1 to 2.128.255.254 | 2.128.255.255 | 1,022 |
| 65 | 2.129.0.0/22 | 2.129.0.1 to 2.129.3.254 | 2.129.3.255 | 1,022 |
| 66 | 2.129.4.0/22 | 2.129.4.1 to 2.129.7.254 | 2.129.7.255 | 1,022 |
| 67 | 2.129.8.0/22 | 2.129.8.1 to 2.129.11.254 | 2.129.11.255 | 1,022 |
| 68 | 2.129.12.0/22 | 2.129.12.1 to 2.129.15.254 | 2.129.15.255 | 1,022 |
| 69 | 2.129.16.0/22 | 2.129.16.1 to 2.129.19.254 | 2.129.19.255 | 1,022 |
| 70 | 2.129.20.0/22 | 2.129.20.1 to 2.129.23.254 | 2.129.23.255 | 1,022 |
| 71 | 2.129.24.0/22 | 2.129.24.1 to 2.129.27.254 | 2.129.27.255 | 1,022 |
| 72 | 2.129.28.0/22 | 2.129.28.1 to 2.129.31.254 | 2.129.31.255 | 1,022 |
| 73 | 2.129.32.0/22 | 2.129.32.1 to 2.129.35.254 | 2.129.35.255 | 1,022 |
| 74 | 2.129.36.0/22 | 2.129.36.1 to 2.129.39.254 | 2.129.39.255 | 1,022 |
| 75 | 2.129.40.0/22 | 2.129.40.1 to 2.129.43.254 | 2.129.43.255 | 1,022 |
| 76 | 2.129.44.0/22 | 2.129.44.1 to 2.129.47.254 | 2.129.47.255 | 1,022 |
| 77 | 2.129.48.0/22 | 2.129.48.1 to 2.129.51.254 | 2.129.51.255 | 1,022 |
| 78 | 2.129.52.0/22 | 2.129.52.1 to 2.129.55.254 | 2.129.55.255 | 1,022 |
| 79 | 2.129.56.0/22 | 2.129.56.1 to 2.129.59.254 | 2.129.59.255 | 1,022 |
| 80 | 2.129.60.0/22 | 2.129.60.1 to 2.129.63.254 | 2.129.63.255 | 1,022 |
| 81 | 2.129.64.0/22 | 2.129.64.1 to 2.129.67.254 | 2.129.67.255 | 1,022 |
| 82 | 2.129.68.0/22 | 2.129.68.1 to 2.129.71.254 | 2.129.71.255 | 1,022 |
| 83 | 2.129.72.0/22 | 2.129.72.1 to 2.129.75.254 | 2.129.75.255 | 1,022 |
| 84 | 2.129.76.0/22 | 2.129.76.1 to 2.129.79.254 | 2.129.79.255 | 1,022 |
| 85 | 2.129.80.0/22 | 2.129.80.1 to 2.129.83.254 | 2.129.83.255 | 1,022 |
| 86 | 2.129.84.0/22 | 2.129.84.1 to 2.129.87.254 | 2.129.87.255 | 1,022 |
| 87 | 2.129.88.0/22 | 2.129.88.1 to 2.129.91.254 | 2.129.91.255 | 1,022 |
| 88 | 2.129.92.0/22 | 2.129.92.1 to 2.129.95.254 | 2.129.95.255 | 1,022 |
| 89 | 2.129.96.0/22 | 2.129.96.1 to 2.129.99.254 | 2.129.99.255 | 1,022 |
| 90 | 2.129.100.0/22 | 2.129.100.1 to 2.129.103.254 | 2.129.103.255 | 1,022 |
| 91 | 2.129.104.0/22 | 2.129.104.1 to 2.129.107.254 | 2.129.107.255 | 1,022 |
| 92 | 2.129.108.0/22 | 2.129.108.1 to 2.129.111.254 | 2.129.111.255 | 1,022 |
| 93 | 2.129.112.0/22 | 2.129.112.1 to 2.129.115.254 | 2.129.115.255 | 1,022 |
| 94 | 2.129.116.0/22 | 2.129.116.1 to 2.129.119.254 | 2.129.119.255 | 1,022 |
| 95 | 2.129.120.0/22 | 2.129.120.1 to 2.129.123.254 | 2.129.123.255 | 1,022 |
| 96 | 2.129.124.0/22 | 2.129.124.1 to 2.129.127.254 | 2.129.127.255 | 1,022 |
| 97 | 2.129.128.0/22 | 2.129.128.1 to 2.129.131.254 | 2.129.131.255 | 1,022 |
| 98 | 2.129.132.0/22 | 2.129.132.1 to 2.129.135.254 | 2.129.135.255 | 1,022 |
| 99 | 2.129.136.0/22 | 2.129.136.1 to 2.129.139.254 | 2.129.139.255 | 1,022 |
| 100 | 2.129.140.0/22 | 2.129.140.1 to 2.129.143.254 | 2.129.143.255 | 1,022 |
| 101 | 2.129.144.0/22 | 2.129.144.1 to 2.129.147.254 | 2.129.147.255 | 1,022 |
| 102 | 2.129.148.0/22 | 2.129.148.1 to 2.129.151.254 | 2.129.151.255 | 1,022 |
| 103 | 2.129.152.0/22 | 2.129.152.1 to 2.129.155.254 | 2.129.155.255 | 1,022 |
| 104 | 2.129.156.0/22 | 2.129.156.1 to 2.129.159.254 | 2.129.159.255 | 1,022 |
| 105 | 2.129.160.0/22 | 2.129.160.1 to 2.129.163.254 | 2.129.163.255 | 1,022 |
| 106 | 2.129.164.0/22 | 2.129.164.1 to 2.129.167.254 | 2.129.167.255 | 1,022 |
| 107 | 2.129.168.0/22 | 2.129.168.1 to 2.129.171.254 | 2.129.171.255 | 1,022 |
| 108 | 2.129.172.0/22 | 2.129.172.1 to 2.129.175.254 | 2.129.175.255 | 1,022 |
| 109 | 2.129.176.0/22 | 2.129.176.1 to 2.129.179.254 | 2.129.179.255 | 1,022 |
| 110 | 2.129.180.0/22 | 2.129.180.1 to 2.129.183.254 | 2.129.183.255 | 1,022 |
| 111 | 2.129.184.0/22 | 2.129.184.1 to 2.129.187.254 | 2.129.187.255 | 1,022 |
| 112 | 2.129.188.0/22 | 2.129.188.1 to 2.129.191.254 | 2.129.191.255 | 1,022 |
| 113 | 2.129.192.0/22 | 2.129.192.1 to 2.129.195.254 | 2.129.195.255 | 1,022 |
| 114 | 2.129.196.0/22 | 2.129.196.1 to 2.129.199.254 | 2.129.199.255 | 1,022 |
| 115 | 2.129.200.0/22 | 2.129.200.1 to 2.129.203.254 | 2.129.203.255 | 1,022 |
| 116 | 2.129.204.0/22 | 2.129.204.1 to 2.129.207.254 | 2.129.207.255 | 1,022 |
| 117 | 2.129.208.0/22 | 2.129.208.1 to 2.129.211.254 | 2.129.211.255 | 1,022 |
| 118 | 2.129.212.0/22 | 2.129.212.1 to 2.129.215.254 | 2.129.215.255 | 1,022 |
| 119 | 2.129.216.0/22 | 2.129.216.1 to 2.129.219.254 | 2.129.219.255 | 1,022 |
| 120 | 2.129.220.0/22 | 2.129.220.1 to 2.129.223.254 | 2.129.223.255 | 1,022 |
| 121 | 2.129.224.0/22 | 2.129.224.1 to 2.129.227.254 | 2.129.227.255 | 1,022 |
| 122 | 2.129.228.0/22 | 2.129.228.1 to 2.129.231.254 | 2.129.231.255 | 1,022 |
| 123 | 2.129.232.0/22 | 2.129.232.1 to 2.129.235.254 | 2.129.235.255 | 1,022 |
| 124 | 2.129.236.0/22 | 2.129.236.1 to 2.129.239.254 | 2.129.239.255 | 1,022 |
| 125 | 2.129.240.0/22 | 2.129.240.1 to 2.129.243.254 | 2.129.243.255 | 1,022 |
| 126 | 2.129.244.0/22 | 2.129.244.1 to 2.129.247.254 | 2.129.247.255 | 1,022 |
| 127 | 2.129.248.0/22 | 2.129.248.1 to 2.129.251.254 | 2.129.251.255 | 1,022 |
| 128 | 2.129.252.0/22 | 2.129.252.1 to 2.129.255.254 | 2.129.255.255 | 1,022 |
| 129 | 2.130.0.0/22 | 2.130.0.1 to 2.130.3.254 | 2.130.3.255 | 1,022 |
| 130 | 2.130.4.0/22 | 2.130.4.1 to 2.130.7.254 | 2.130.7.255 | 1,022 |
| 131 | 2.130.8.0/22 | 2.130.8.1 to 2.130.11.254 | 2.130.11.255 | 1,022 |
| 132 | 2.130.12.0/22 | 2.130.12.1 to 2.130.15.254 | 2.130.15.255 | 1,022 |
| 133 | 2.130.16.0/22 | 2.130.16.1 to 2.130.19.254 | 2.130.19.255 | 1,022 |
| 134 | 2.130.20.0/22 | 2.130.20.1 to 2.130.23.254 | 2.130.23.255 | 1,022 |
| 135 | 2.130.24.0/22 | 2.130.24.1 to 2.130.27.254 | 2.130.27.255 | 1,022 |
| 136 | 2.130.28.0/22 | 2.130.28.1 to 2.130.31.254 | 2.130.31.255 | 1,022 |
| 137 | 2.130.32.0/22 | 2.130.32.1 to 2.130.35.254 | 2.130.35.255 | 1,022 |
| 138 | 2.130.36.0/22 | 2.130.36.1 to 2.130.39.254 | 2.130.39.255 | 1,022 |
| 139 | 2.130.40.0/22 | 2.130.40.1 to 2.130.43.254 | 2.130.43.255 | 1,022 |
| 140 | 2.130.44.0/22 | 2.130.44.1 to 2.130.47.254 | 2.130.47.255 | 1,022 |
| 141 | 2.130.48.0/22 | 2.130.48.1 to 2.130.51.254 | 2.130.51.255 | 1,022 |
| 142 | 2.130.52.0/22 | 2.130.52.1 to 2.130.55.254 | 2.130.55.255 | 1,022 |
| 143 | 2.130.56.0/22 | 2.130.56.1 to 2.130.59.254 | 2.130.59.255 | 1,022 |
| 144 | 2.130.60.0/22 | 2.130.60.1 to 2.130.63.254 | 2.130.63.255 | 1,022 |
| 145 | 2.130.64.0/22 | 2.130.64.1 to 2.130.67.254 | 2.130.67.255 | 1,022 |
| 146 | 2.130.68.0/22 | 2.130.68.1 to 2.130.71.254 | 2.130.71.255 | 1,022 |
| 147 | 2.130.72.0/22 | 2.130.72.1 to 2.130.75.254 | 2.130.75.255 | 1,022 |
| 148 | 2.130.76.0/22 | 2.130.76.1 to 2.130.79.254 | 2.130.79.255 | 1,022 |
| 149 | 2.130.80.0/22 | 2.130.80.1 to 2.130.83.254 | 2.130.83.255 | 1,022 |
| 150 | 2.130.84.0/22 | 2.130.84.1 to 2.130.87.254 | 2.130.87.255 | 1,022 |
| 151 | 2.130.88.0/22 | 2.130.88.1 to 2.130.91.254 | 2.130.91.255 | 1,022 |
| 152 | 2.130.92.0/22 | 2.130.92.1 to 2.130.95.254 | 2.130.95.255 | 1,022 |
| 153 | 2.130.96.0/22 | 2.130.96.1 to 2.130.99.254 | 2.130.99.255 | 1,022 |
| 154 | 2.130.100.0/22 | 2.130.100.1 to 2.130.103.254 | 2.130.103.255 | 1,022 |
| 155 | 2.130.104.0/22 | 2.130.104.1 to 2.130.107.254 | 2.130.107.255 | 1,022 |
| 156 | 2.130.108.0/22 | 2.130.108.1 to 2.130.111.254 | 2.130.111.255 | 1,022 |
| 157 | 2.130.112.0/22 | 2.130.112.1 to 2.130.115.254 | 2.130.115.255 | 1,022 |
| 158 | 2.130.116.0/22 | 2.130.116.1 to 2.130.119.254 | 2.130.119.255 | 1,022 |
| 159 | 2.130.120.0/22 | 2.130.120.1 to 2.130.123.254 | 2.130.123.255 | 1,022 |
| 160 | 2.130.124.0/22 | 2.130.124.1 to 2.130.127.254 | 2.130.127.255 | 1,022 |
| 161 | 2.130.128.0/22 | 2.130.128.1 to 2.130.131.254 | 2.130.131.255 | 1,022 |
| 162 | 2.130.132.0/22 | 2.130.132.1 to 2.130.135.254 | 2.130.135.255 | 1,022 |
| 163 | 2.130.136.0/22 | 2.130.136.1 to 2.130.139.254 | 2.130.139.255 | 1,022 |
| 164 | 2.130.140.0/22 | 2.130.140.1 to 2.130.143.254 | 2.130.143.255 | 1,022 |
| 165 | 2.130.144.0/22 | 2.130.144.1 to 2.130.147.254 | 2.130.147.255 | 1,022 |
| 166 | 2.130.148.0/22 | 2.130.148.1 to 2.130.151.254 | 2.130.151.255 | 1,022 |
| 167 | 2.130.152.0/22 | 2.130.152.1 to 2.130.155.254 | 2.130.155.255 | 1,022 |
| 168 | 2.130.156.0/22 | 2.130.156.1 to 2.130.159.254 | 2.130.159.255 | 1,022 |
| 169 | 2.130.160.0/22 | 2.130.160.1 to 2.130.163.254 | 2.130.163.255 | 1,022 |
| 170 | 2.130.164.0/22 | 2.130.164.1 to 2.130.167.254 | 2.130.167.255 | 1,022 |
| 171 | 2.130.168.0/22 | 2.130.168.1 to 2.130.171.254 | 2.130.171.255 | 1,022 |
| 172 | 2.130.172.0/22 | 2.130.172.1 to 2.130.175.254 | 2.130.175.255 | 1,022 |
| 173 | 2.130.176.0/22 | 2.130.176.1 to 2.130.179.254 | 2.130.179.255 | 1,022 |
| 174 | 2.130.180.0/22 | 2.130.180.1 to 2.130.183.254 | 2.130.183.255 | 1,022 |
| 175 | 2.130.184.0/22 | 2.130.184.1 to 2.130.187.254 | 2.130.187.255 | 1,022 |
| 176 | 2.130.188.0/22 | 2.130.188.1 to 2.130.191.254 | 2.130.191.255 | 1,022 |
| 177 | 2.130.192.0/22 | 2.130.192.1 to 2.130.195.254 | 2.130.195.255 | 1,022 |
| 178 | 2.130.196.0/22 | 2.130.196.1 to 2.130.199.254 | 2.130.199.255 | 1,022 |
| 179 | 2.130.200.0/22 | 2.130.200.1 to 2.130.203.254 | 2.130.203.255 | 1,022 |
| 180 | 2.130.204.0/22 | 2.130.204.1 to 2.130.207.254 | 2.130.207.255 | 1,022 |
| 181 | 2.130.208.0/22 | 2.130.208.1 to 2.130.211.254 | 2.130.211.255 | 1,022 |
| 182 | 2.130.212.0/22 | 2.130.212.1 to 2.130.215.254 | 2.130.215.255 | 1,022 |
| 183 | 2.130.216.0/22 | 2.130.216.1 to 2.130.219.254 | 2.130.219.255 | 1,022 |
| 184 | 2.130.220.0/22 | 2.130.220.1 to 2.130.223.254 | 2.130.223.255 | 1,022 |
| 185 | 2.130.224.0/22 | 2.130.224.1 to 2.130.227.254 | 2.130.227.255 | 1,022 |
| 186 | 2.130.228.0/22 | 2.130.228.1 to 2.130.231.254 | 2.130.231.255 | 1,022 |
| 187 | 2.130.232.0/22 | 2.130.232.1 to 2.130.235.254 | 2.130.235.255 | 1,022 |
| 188 | 2.130.236.0/22 | 2.130.236.1 to 2.130.239.254 | 2.130.239.255 | 1,022 |
| 189 | 2.130.240.0/22 | 2.130.240.1 to 2.130.243.254 | 2.130.243.255 | 1,022 |
| 190 | 2.130.244.0/22 | 2.130.244.1 to 2.130.247.254 | 2.130.247.255 | 1,022 |
| 191 | 2.130.248.0/22 | 2.130.248.1 to 2.130.251.254 | 2.130.251.255 | 1,022 |
| 192 | 2.130.252.0/22 | 2.130.252.1 to 2.130.255.254 | 2.130.255.255 | 1,022 |
| 193 | 2.131.0.0/22 | 2.131.0.1 to 2.131.3.254 | 2.131.3.255 | 1,022 |
| 194 | 2.131.4.0/22 | 2.131.4.1 to 2.131.7.254 | 2.131.7.255 | 1,022 |
| 195 | 2.131.8.0/22 | 2.131.8.1 to 2.131.11.254 | 2.131.11.255 | 1,022 |
| 196 | 2.131.12.0/22 | 2.131.12.1 to 2.131.15.254 | 2.131.15.255 | 1,022 |
| 197 | 2.131.16.0/22 | 2.131.16.1 to 2.131.19.254 | 2.131.19.255 | 1,022 |
| 198 | 2.131.20.0/22 | 2.131.20.1 to 2.131.23.254 | 2.131.23.255 | 1,022 |
| 199 | 2.131.24.0/22 | 2.131.24.1 to 2.131.27.254 | 2.131.27.255 | 1,022 |
| 200 | 2.131.28.0/22 | 2.131.28.1 to 2.131.31.254 | 2.131.31.255 | 1,022 |
| 201 | 2.131.32.0/22 | 2.131.32.1 to 2.131.35.254 | 2.131.35.255 | 1,022 |
| 202 | 2.131.36.0/22 | 2.131.36.1 to 2.131.39.254 | 2.131.39.255 | 1,022 |
| 203 | 2.131.40.0/22 | 2.131.40.1 to 2.131.43.254 | 2.131.43.255 | 1,022 |
| 204 | 2.131.44.0/22 | 2.131.44.1 to 2.131.47.254 | 2.131.47.255 | 1,022 |
| 205 | 2.131.48.0/22 | 2.131.48.1 to 2.131.51.254 | 2.131.51.255 | 1,022 |
| 206 | 2.131.52.0/22 | 2.131.52.1 to 2.131.55.254 | 2.131.55.255 | 1,022 |
| 207 | 2.131.56.0/22 | 2.131.56.1 to 2.131.59.254 | 2.131.59.255 | 1,022 |
| 208 | 2.131.60.0/22 | 2.131.60.1 to 2.131.63.254 | 2.131.63.255 | 1,022 |
| 209 | 2.131.64.0/22 | 2.131.64.1 to 2.131.67.254 | 2.131.67.255 | 1,022 |
| 210 | 2.131.68.0/22 | 2.131.68.1 to 2.131.71.254 | 2.131.71.255 | 1,022 |
| 211 | 2.131.72.0/22 | 2.131.72.1 to 2.131.75.254 | 2.131.75.255 | 1,022 |
| 212 | 2.131.76.0/22 | 2.131.76.1 to 2.131.79.254 | 2.131.79.255 | 1,022 |
| 213 | 2.131.80.0/22 | 2.131.80.1 to 2.131.83.254 | 2.131.83.255 | 1,022 |
| 214 | 2.131.84.0/22 | 2.131.84.1 to 2.131.87.254 | 2.131.87.255 | 1,022 |
| 215 | 2.131.88.0/22 | 2.131.88.1 to 2.131.91.254 | 2.131.91.255 | 1,022 |
| 216 | 2.131.92.0/22 | 2.131.92.1 to 2.131.95.254 | 2.131.95.255 | 1,022 |
| 217 | 2.131.96.0/22 | 2.131.96.1 to 2.131.99.254 | 2.131.99.255 | 1,022 |
| 218 | 2.131.100.0/22 | 2.131.100.1 to 2.131.103.254 | 2.131.103.255 | 1,022 |
| 219 | 2.131.104.0/22 | 2.131.104.1 to 2.131.107.254 | 2.131.107.255 | 1,022 |
| 220 | 2.131.108.0/22 | 2.131.108.1 to 2.131.111.254 | 2.131.111.255 | 1,022 |
| 221 | 2.131.112.0/22 | 2.131.112.1 to 2.131.115.254 | 2.131.115.255 | 1,022 |
| 222 | 2.131.116.0/22 | 2.131.116.1 to 2.131.119.254 | 2.131.119.255 | 1,022 |
| 223 | 2.131.120.0/22 | 2.131.120.1 to 2.131.123.254 | 2.131.123.255 | 1,022 |
| 224 | 2.131.124.0/22 | 2.131.124.1 to 2.131.127.254 | 2.131.127.255 | 1,022 |
| 225 | 2.131.128.0/22 | 2.131.128.1 to 2.131.131.254 | 2.131.131.255 | 1,022 |
| 226 | 2.131.132.0/22 | 2.131.132.1 to 2.131.135.254 | 2.131.135.255 | 1,022 |
| 227 | 2.131.136.0/22 | 2.131.136.1 to 2.131.139.254 | 2.131.139.255 | 1,022 |
| 228 | 2.131.140.0/22 | 2.131.140.1 to 2.131.143.254 | 2.131.143.255 | 1,022 |
| 229 | 2.131.144.0/22 | 2.131.144.1 to 2.131.147.254 | 2.131.147.255 | 1,022 |
| 230 | 2.131.148.0/22 | 2.131.148.1 to 2.131.151.254 | 2.131.151.255 | 1,022 |
| 231 | 2.131.152.0/22 | 2.131.152.1 to 2.131.155.254 | 2.131.155.255 | 1,022 |
| 232 | 2.131.156.0/22 | 2.131.156.1 to 2.131.159.254 | 2.131.159.255 | 1,022 |
| 233 | 2.131.160.0/22 | 2.131.160.1 to 2.131.163.254 | 2.131.163.255 | 1,022 |
| 234 | 2.131.164.0/22 | 2.131.164.1 to 2.131.167.254 | 2.131.167.255 | 1,022 |
| 235 | 2.131.168.0/22 | 2.131.168.1 to 2.131.171.254 | 2.131.171.255 | 1,022 |
| 236 | 2.131.172.0/22 | 2.131.172.1 to 2.131.175.254 | 2.131.175.255 | 1,022 |
| 237 | 2.131.176.0/22 | 2.131.176.1 to 2.131.179.254 | 2.131.179.255 | 1,022 |
| 238 | 2.131.180.0/22 | 2.131.180.1 to 2.131.183.254 | 2.131.183.255 | 1,022 |
| 239 | 2.131.184.0/22 | 2.131.184.1 to 2.131.187.254 | 2.131.187.255 | 1,022 |
| 240 | 2.131.188.0/22 | 2.131.188.1 to 2.131.191.254 | 2.131.191.255 | 1,022 |
| 241 | 2.131.192.0/22 | 2.131.192.1 to 2.131.195.254 | 2.131.195.255 | 1,022 |
| 242 | 2.131.196.0/22 | 2.131.196.1 to 2.131.199.254 | 2.131.199.255 | 1,022 |
| 243 | 2.131.200.0/22 | 2.131.200.1 to 2.131.203.254 | 2.131.203.255 | 1,022 |
| 244 | 2.131.204.0/22 | 2.131.204.1 to 2.131.207.254 | 2.131.207.255 | 1,022 |
| 245 | 2.131.208.0/22 | 2.131.208.1 to 2.131.211.254 | 2.131.211.255 | 1,022 |
| 246 | 2.131.212.0/22 | 2.131.212.1 to 2.131.215.254 | 2.131.215.255 | 1,022 |
| 247 | 2.131.216.0/22 | 2.131.216.1 to 2.131.219.254 | 2.131.219.255 | 1,022 |
| 248 | 2.131.220.0/22 | 2.131.220.1 to 2.131.223.254 | 2.131.223.255 | 1,022 |
| 249 | 2.131.224.0/22 | 2.131.224.1 to 2.131.227.254 | 2.131.227.255 | 1,022 |
| 250 | 2.131.228.0/22 | 2.131.228.1 to 2.131.231.254 | 2.131.231.255 | 1,022 |
| 251 | 2.131.232.0/22 | 2.131.232.1 to 2.131.235.254 | 2.131.235.255 | 1,022 |
| 252 | 2.131.236.0/22 | 2.131.236.1 to 2.131.239.254 | 2.131.239.255 | 1,022 |
| 253 | 2.131.240.0/22 | 2.131.240.1 to 2.131.243.254 | 2.131.243.255 | 1,022 |
| 254 | 2.131.244.0/22 | 2.131.244.1 to 2.131.247.254 | 2.131.247.255 | 1,022 |
| 255 | 2.131.248.0/22 | 2.131.248.1 to 2.131.251.254 | 2.131.251.255 | 1,022 |
| 256 | 2.131.252.0/22 | 2.131.252.1 to 2.131.255.254 | 2.131.255.255 | 1,022 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |